id: legion
name: Legion
input_languages:
  - C
project_url: https://github.com/Alan32Liu/Legion/tree/TestComp2020-ASE2020v3
repository_url: https://github.com/Alan32Liu/Legion/tree/TestComp2020-ASE2020v3
spdx_license_identifier: MIT
benchexec_toolinfo_module: "https://gitlab.com/sosy-lab/software/benchexec/-/raw/main/benchexec/tools/legion.py"
fmtools_format_version: "2.0"
fmtools_entry_maintainers:
  - gernst

maintainers:
  - name: Hors Concours
    institution: --
    country: --
    url: null

versions:
  - version: "testcomp23"
    doi: 10.5281/zenodo.10412740
    benchexec_toolinfo_options: ["--score", "uct", "--core", "8", "--tree-depth-limit", "100000", "--conex-timeout", "0", "--symex-timeout", "0", "--min-samples", "1", "--save-tests", "REDUCED", "--persistent", "--time-penalty", "0", "--random-seed", "0", "-o", "./binary.instr", "--compile", "svcomp"]
    required_ubuntu_packages: []

competition_participations:
  - competition: "Test-Comp 2025"
    track: "Test Generation"
    hors-concours: true
    tool_version: "testcomp23"
    jury_member:
      name: Hors Concours
      institution: --
      country: --
      url: null
  - competition: "Test-Comp 2024"
    track: "Test Generation"
    hors-concours: true
    tool_version: "testcomp23"
    jury_member:
      name: Hors Concours
      institution: --
      country: --
      url: null
  - competition: "Test-Comp 2023"
    track: "Test Generation"
    hors-concours: true
    tool_version: "testcomp23"
    jury_member:
      name: Hors Concours
      institution: --
      country: --
      url: null

techniques:
  - Explicit-Value Analysis
  - Floating-Point Arithmetics
  - Guidance by Coverage Measures
  - Random Execution
  - Symbolic Execution
  - Targeted Input Generation

frameworks_solvers: []
